このエンドポイントで肌色分析プロセスを開始します。ソースファイル(URL または File ID)を指定し、必要に応じて顔角度の厳密さレベルを指定してください。タスクは非同期で処理され、このレスポンスで返される task_id を使用してステータスを確認できます。
セキュリティ
BearerAuthenticationV2
Any of:
顔角度検出(ピッチ、ヨー、ロール)の厳密さレベルです。 より厳しいレベルを指定すると、顔属性の分析結果の精度が高まります。 初期値は 'high' です。 options:
- strict: pitch <= 4 degrees, yaw <= 6 degrees, roll <= 4 degrees
- high: pitch, yaw, roll <= 10 degrees
- medium: pitch, yaw, roll <= 15 degrees
- low: pitch, yaw, roll <= 20 degrees
- flexible: pitch, yaw, roll <= 30 degrees
Enum:"strict""high""medium""low""flexible"
例:"high"
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/skin-tone-analysis
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/skin-tone-analysis \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"face_angle_strictness_level": "high"
}'レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }